package game;
import java.awt.*;

public class Ground extends Rectangle
{
    private int colR = 0, colG = 0, colB = 0;
    private int offsetX = 0, offsetY = 0;
    private double gravity = 0;

    public Ground(int _width, int _height, int _colR, int _colG, int _colB)
    {
        super(0,0,_width,_height);
        colR = _colR;
        colG = _colG;
        colB = _colB;
    }

    public int getOffsetX()
    {
        return offsetX;
    }

    public int getOffsetY()
    {
        return offsetY;
    }

    public double getGravity()
    {
        return gravity;
    }
    public void setGravity(double _gravity)
    {
        gravity = _gravity;
    }

    public void setPosition(int _offsetX, int _offsetY)
    {
        offsetX = _offsetX;
        offsetY = _offsetY;
    }

    public void appear(Graphics graph)
    {
        graph.setColor( new Color(colR,colG,colB) );
        // graph.drawRect( getLeft()+offsetX, getTop()+offsetY, getWidth(), getHeight() );
        graph.fillRect ( getLeft()+offsetX, getTop()+offsetY, getWidth(), getHeight() );
    }

    public Rectangle getRectangle()
    {
        return new Rectangle( getLeft(), getTop(), getRight(), getBottom() );
    }

}

