package game;

public class RectState
{
    private boolean
        isOutLeft = false,
        isOutTop = false,
        isOutRight = false,
        isOutBottom = false;
    
    public boolean getIsOutLeft()
    {
        return isOutLeft;
    }
    public boolean getIsOutTop()
    {
        return isOutTop;
    }
    public boolean getIsOutRight()
    {
        return isOutRight;
    }
    public boolean getIsOutBottom()
    {
        return isOutBottom;
    }

    public void setIsOutLeft(boolean _isOutLeft)
    {
        isOutLeft = _isOutLeft;
    }
    public void setIsOutTop(boolean _isOutTop)
    {
        isOutTop = _isOutTop;
    }
    public void setIsOutRight(boolean _isOutRight)
    {
        isOutRight = _isOutRight;
    }
    public void setIsOutBottom(boolean _isOutBottom)
    {
        isOutBottom = _isOutBottom;
    }

    public boolean isOutHorizontal()
    {
        return isOutLeft || isOutRight;
    }

    public boolean isOutVertical()
    {
        return isOutTop || isOutBottom;
    }

    public void checkState(Rectangle grnd, Rectangle rect)
    { // if an edge crossed the outside

        isOutLeft = rect.getLeft() < grnd.getLeft();
        isOutTop = rect.getTop() < grnd.getTop();
        isOutRight = (int) ( rect.getLeft()+rect.getWidth() ) > grnd.getRight();
        isOutBottom = (int) ( rect.getTop()+rect.getHeight() ) > grnd.getBottom();
    }

    public void checkStateDisappear(Rectangle grnd, Rectangle rect)
    { // if the sprite completely disappeared

        isOutLeft = rect.getLeft() < grnd.getLeft() - rect.getWidth();
        isOutTop = rect.getTop() < grnd.getTop() - rect.getHeight();
        isOutRight = rect.getLeft() > grnd.getRight();
        isOutBottom = rect.getTop() > grnd.getBottom();
    }

}
